Subject: Re: [PATCHv3 2/2] Warnings before amending published history

From: Matthieu Moy <[email-masked]>
Date: Tue, 12 Jun 2012 09:34:18 +0200

Lucien Kong <[email-masked]> writes:

>  builtin/commit.c              |   82 ++++++++++++++++++++++++++
>  sha1_name.c                   |   95 +++++++-----------------------
>  sha1_name.h                   |  130 +++++++++++++++++++++++++++++++++++++++++

I'm surprised that you need such a big patch. Basically, you're making
all static functions in sha1_name.c public. If you really need such
intrusive change, then you should at least explain why in the commit
message, and most preferably split the patch into one refactoring patch
to expose the functions and one to use them.

But I suspect what you're looking for is already in cache.h.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/